/// <reference types="react" />
import { ITheme } from "../Pallette/themes";
import { ICheckBoxProps } from "./types";
interface ICheckBox extends Partial<ICheckBoxProps> {
    theme: ITheme;
}
declare type TCheckBoxComponentProps = Pick<ICheckBox, "isDisabled" | "isChecked" | "isIndeterminate" | "theme">;
export declare const CheckBoxStyled: import("styled-components").StyledComponent<"label", any, TCheckBoxComponentProps, never>;
export declare const InputStyled: import("styled-components").StyledComponent<"input", any, TCheckBoxComponentProps, never>;
export declare const IconStyles: import("styled-components").FlattenSimpleInterpolation;
export declare const IconBrokenTickStyled: import("styled-components").StyledComponent<({ className, ...props }: import("react").SVGProps<SVGSVGElement>) => JSX.Element, any, {}, never>;
export declare const IconBrokenMinusStyled: import("styled-components").StyledComponent<({ className, ...props }: import("react").SVGProps<SVGSVGElement>) => JSX.Element, any, {}, never>;
export {};
